function [ trueVar ] = analyticalVar( ...
    percent,days, ...
    strike, maturity, ...
    spot, volatility, ...
    riskFreeRate )

currentPrice = blackScholesCallPrice( strike, maturity, spot, riskFreeRate, volatility );

t = days/365;
standardDeviation = volatility * sqrt(t);
logStockPricePercentile = log(spot)-standardDeviation*norminv( (100-percent)/100 );
stockPricePercentile = exp(logStockPricePercentile);
pricePercentile = blackScholesCallPrice( strike, maturity-t, stockPricePercentile, riskFreeRate, volatility );
trueVar = currentPrice - pricePercentile;
end
