% Compute the var of a call option
% given the various parameters using Monte Carlo
function [ cvar ] = monteCarloES( ...
    percent,days, ...
    strike, maturity, ...
    spot, drift, volatility, ...
    riskFreeRate, ...
    nPaths)

t = days/365;
stockPrices = generateBSPaths( ...
    t, spot, drift, volatility,...
    nPaths, 1);
startPrice = blackScholesCallPrice( ...
    strike, maturity, ...
    spot,riskFreeRate, volatility );
endPrices = blackScholesCallPrice( strike, maturity-t, ...
    stockPrices,riskFreeRate,volatility );
profits = endPrices - startPrice;
cvar = expectedShortfall( profits, percent );

end

