% Compute the var of a call option
% given the various parameters using Monte Carlo
function [ var ] = monteCarloVar( ...
    percent,days, ...
    strike, maturity, ...
    spot, drift, volatility, ...
    riskFreeRate, ...
    nPaths)

t = days/365;
startPrice = blackScholesCallPrice( ...
    strike, maturity, ...
    spot,riskFreeRate, volatility ); % price portfolio at start
stockPrices = generateBSPaths( ...
    t, spot, drift, volatility,...
    nPaths, 1);
endPrices = blackScholesCallPrice( strike, maturity-t, ...
    stockPrices,riskFreeRate,volatility ); % price portfolio
profits = endPrices - startPrice;
var = prctile( -profits, 100-percent );

end

