function [ pVar ] = parametricCallVar( ...
    percent,days, ...
    strike, maturity, ...
    spot, volatility, ...
    riskFreeRate )

[~,Delta] = blackScholesCallPrice( strike, maturity, spot, riskFreeRate, volatility );
delta = spot*Delta;
% Note Delta=derivative w.r.t S, delta = derivative w.r.t. s

t = days/365;
standardDeviation = delta * volatility * sqrt(t);
pVar = standardDeviation*norminv( (100-percent)/100 );

end

